﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace WpfApplication1
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		private RadTreeViewItem newItem;

		public MainWindow()
		{
			InitializeComponent();
		}

		private void Focus_Click(object sender, RoutedEventArgs e)
		{
			if (this.newItem != null)
			{
				this.newItem.Focus();
			}
		}

		private void Add_Click(object sender, RoutedEventArgs e)
		{
			this.newItem = new RadTreeViewItem();
			this.newItem.Header = "New Item " + this.treeView1.Items.Count;

			// comment this line to see the difference
			this.newItem.Template = Resources["RadTreeViewItemControlTemplate1"] as ControlTemplate;

			this.treeView1.Items.Add(this.newItem);
		}
	}
}
